package com.example.base.ui.list

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.module.LoadMoreModule
import com.chad.library.adapter.base.viewholder.BaseViewHolder

/**
 * 实现了 loadMoreModule 有加载更多的实现它
 */
abstract class LoadMoreAdapter<T>(layoutResId: Int) :
    BaseQuickAdapter<T, BaseViewHolder>(layoutResId), LoadMoreModule